> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Contact from Audience



## OpenAPI

````yaml api-reference/openapi.json DELETE /contacts/{contact_id}/audiences/{audience_id}
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /contacts/{contact_id}/audiences/{audience_id}:
    delete:
      summary: Remove a contact from an audience
      parameters:
        - $ref: '#/components/parameters/ContactId'
        - $ref: '#/components/parameters/AudienceId'
      responses:
        '200':
          description: Contact removed from audience
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteAudienceMembershipResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ContactId:
      name: contact_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    AudienceId:
      name: audience_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Audience ID
  schemas:
    DeleteAudienceMembershipResponse:
      allOf:
        - $ref: '#/components/schemas/Envelope'
        - type: object
          properties:
            data:
              type: object
              properties:
                contact_id:
                  type: string
                  format: uuid
                audience_id:
                  type: string
                  format: uuid
                deleted:
                  type: boolean
    Envelope:
      type: object
      required:
        - status
      properties:
        status:
          type: integer
          description: HTTP response status code
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````